Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -7089,47 +5333,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProcessApprovalDetail> BuffList = new List<ProcessApprovalDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOProcessApprovalDetail.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProcessApprovalDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SerialNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.LinkCode.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7136,6 +5353,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7166,7 +5384,7 @@
         private bool CnvProcessexcutemaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMProcessExcute InDB = new ProcessManagement.OracleDB.IOAccess.IOMProcessExcute();
-            ProcessManagement.MySQLDB.IOAccess.IOMProcessExcute OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMProcessExcute();
+            ProcessManagement.DB.IOAccess.IOMProcessExcute OutDB = new ProcessManagement.DB.IOAccess.IOMProcessExcute();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7180,45 +5398,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ProcessExcute> BuffList = new List<ProcessExcute>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMProcessExcute.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ProcessExcute CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += CurRec.SecCode.ToString();
-                        strSQL += ", " + CurRec.ExecCode.ToString();
-                        strSQL += ", " + CurRec.EditFlg.ToString();
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7225,6 +5418,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7255,7 +5449,7 @@
         private bool CnvPurchaseorder(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOPurchaseOrder InDB = new ProcessManagement.OracleDB.IOAccess.IOPurchaseOrder();
-            ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrder OutDB = new ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrder();
+            ProcessManagement.DB.IOAccess.IOPurchaseOrder OutDB = new ProcessManagement.DB.IOAccess.IOPurchaseOrder();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7269,75 +5463,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PurchaseOrder> BuffList = new List<PurchaseOrder>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrder.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PurchaseOrder CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ConstructionCode);                     // 工事番号
-                        strSQL += string.Format(",{0}", CurRec.SeqNo);                                // 注文書枝番
-
-                        strSQL += string.Format(",{0}", CurRec.CompanyCode);                          // 協力会社コード
-                        strSQL += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                        CurRec.CreateDate.ToShortDateString());       // 作成日付
-                        strSQL += string.Format(",{0}", CurRec.OrderPrice);                           // 発注金額
-                        strSQL += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                        CurRec.LastRowStringDate.ToShortDateString());// 最終行表示日付
-
-                        strSQL += string.Format(",{0}", CurRec.OrderSheetType);                       // 簡易・本式フラグ
-                        strSQL += string.Format(",{0}", CurRec.PaymentTerms);                         // 支払い条件
-                        strSQL += string.Format(",{0}", CurRec.CashRatio);                            // 現金割合（％）
-                        strSQL += string.Format(",{0}", CurRec.BillPeriod);                           // 手形期間
-
-                        strSQL += string.Format(",{0}", CurRec.PrePayments);                          // 前金払
-                        strSQL += string.Format(",{0}", CurRec.PrePaymentsDays);                      // 前金払日数
-                        strSQL += string.Format(",{0}", CurRec.PrePaymentsPrice);                     // 前金払金額
-                        strSQL += string.Format(",{0}", CurRec.PartialPayment);                       // 部分払
-                        strSQL += string.Format(",{0}", CurRec.PartialPaymentMounth);                 // 部分払締切月
-                        strSQL += string.Format(",{0}", CurRec.PartialPaymentDay1);                   // 部分払締切日
-                        strSQL += string.Format(",{0}", CurRec.PartialPaymentDay2);                   // 部分払支払日
-                        strSQL += string.Format(",{0}", CurRec.PartialPaymentPrice);                  // 部分払金額
-                        strSQL += string.Format(",{0}", CurRec.CompletionPayment);                    // 引渡し時の支払
-                        strSQL += string.Format(",{0}", CurRec.CompletionPaymentDays);                // 引渡し時の支払日数
-                        strSQL += string.Format(",{0}", CurRec.CompletionPaymentPrice);               // 引渡し時の支払金額
-                        strSQL += string.Format(",{0}", CurRec.LeadEngineerCode);                     // 主任技術者コード
-                        strSQL += string.Format(",'{0}'", CurRec.LeadEngineerName);                   // 主任技術者名
-                        strSQL += string.Format(",{0}", CurRec.SafetyOfficerCode);                    // 安全管理者コード
-                        strSQL += string.Format(",'{0}'", CurRec.SafetyOfficerName);                  // 安全管理者名
-                        strSQL += string.Format(",{0}", CurRec.WorkersCount);                         // 作業員数
-                        strSQL += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                        CurRec.PrintoutDate.ToShortDateString());     // 印刷年月日
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7344,6 +5483,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7374,7 +5514,7 @@
         private bool CnvPurchaseorderdetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOPurchaseOrderDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOPurchaseOrderDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrderDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrderDetail();
+            ProcessManagement.DB.IOAccess.IOPurchaseOrderDetail OutDB = new ProcessManagement.DB.IOAccess.IOPurchaseOrderDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7388,56 +5528,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PurchaseOrderDetail> BuffList = new List<PurchaseOrderDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOPurchaseOrderDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PurchaseOrderDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                   // 注文書枝番
-                        strSQL += string.Format(", {0}", CurRec.GroupCount);              // グループ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);           // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		        // 工種キー
-                        strSQL += string.Format(",'{0}'", CurRec.FirstString);            // 工種・品名
-                        strSQL += string.Format(",'{0}'", CurRec.SecondString);           // 内容内訳
-                        strSQL += string.Format(", {0}", CurRec.UnitCount);		        // 数量
-                        strSQL += string.Format(",'{0}'", CurRec.UnitName);		        // 単位
-                        strSQL += string.Format(", {0}", CurRec.UnitPrice);		        // 単価
-                        strSQL += string.Format(", {0}", CurRec.OrdersLinePrice);         // 金額
-                        strSQL += string.Format(", {0}", CurRec.SourceCode);              // 予算作成時工事番号
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7444,6 +5548,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7474,7 +5579,7 @@
         private bool CnvSalesgraphdata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOSalesGraphData InDB = new ProcessManagement.OracleDB.IOAccess.IOSalesGraphData();
-            ProcessManagement.MySQLDB.IOAccess.IOSalesGraphData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOSalesGraphData();
+            ProcessManagement.DB.IOAccess.IOSalesGraphData OutDB = new ProcessManagement.DB.IOAccess.IOSalesGraphData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7488,51 +5593,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SalesGraphData> BuffList = new List<SalesGraphData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOSalesGraphData.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SalesGraphData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.GraphDataCode.ToString());
-                        strSQL += string.Format(",{0}", CurRec.ConstructionPeriod.ToString());
-                        strSQL += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')", CurRec.SalesDataDays.ToShortDateString());
-                        strSQL += string.Format(",{0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.DataName);
-                        strSQL += string.Format(",{0}", CurRec.SalesAmount.ToString());
-                        strSQL += string.Format(",{0}", CurRec.AdministrativeExpense.ToString());
-                        strSQL += string.Format(",{0}", CurRec.GrossProfit.ToString());
-                        strSQL += string.Format(",{0}", CurRec.NetIncome.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7539,6 +5613,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7569,7 +5644,7 @@
         private bool CnvSecuritymaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMSecurity InDB = new ProcessManagement.OracleDB.IOAccess.IOMSecurity();
-            ProcessManagement.MySQLDB.IOAccess.IOMSecurity OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMSecurity();
+            ProcessManagement.DB.IOAccess.IOMSecurity OutDB = new ProcessManagement.DB.IOAccess.IOMSecurity();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7583,49 +5658,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SecurityMaster> BuffList = new List<SecurityMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMSecurity.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SecurityMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += CurRec.SecCode.ToString();
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(",'{0}'", CurRec.SecName);
-                        strSQL += string.Format(", {0}", CurRec.SecRank);
-                        strSQL += string.Format(", {0}", CurRec.SecRange);
-                        strSQL += string.Format(", {0}", CurRec.GeneralAffairs);
-                        strSQL += string.Format(",'{0}'", CurRec.SelectBackColor);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7632,6 +5678,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7662,7 +5709,7 @@
         private bool CnvSubconstrjobitemregist(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOSubConstrJobItemRegist InDB = new ProcessManagement.OracleDB.IOAccess.IOSubConstrJobItemRegist();
-            ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobItemRegist OutDB = new ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobItemRegist();
+            ProcessManagement.DB.IOAccess.IOSubConstrJobItemRegist OutDB = new ProcessManagement.DB.IOAccess.IOSubConstrJobItemRegist();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7676,47 +5723,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubConstrJobItemRegist> BuffList = new List<SubConstrJobItemRegist>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobItemRegist.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubConstrJobItemRegist CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" + CurRec.CreateDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ItemCode.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7723,6 +5743,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7753,7 +5774,7 @@
         private bool CnvSubconstrjoblinkregist(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOSubConstrJobLinkRegist InDB = new ProcessManagement.OracleDB.IOAccess.IOSubConstrJobLinkRegist();
-            ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobLinkRegist OutDB = new ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobLinkRegist();
+            ProcessManagement.DB.IOAccess.IOSubConstrJobLinkRegist OutDB = new ProcessManagement.DB.IOAccess.IOSubConstrJobLinkRegist();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -7767,47 +5788,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<SubConstrJobLinkRegist> BuffList = new List<SubConstrJobLinkRegist>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOSubConstrJobLinkRegist.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        SubConstrJobLinkRegist CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" + CurRec.CreateDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", {0}", CurRec.JobCategoryCode.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -7814,6 +5808,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -7844,7 +5839,7 @@
         private bool CnvSubconstrregist(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOSubConstrRegist InDB = new ProcessManagement.OracleDB.IOAccess.IOSubConstrRegist();
-            ProcessManagement.MySQLDB.IOAccess.IOSubConstrRegist OutDB = new ProcessManagement.MySQLDB.IOAccess.IOSubConstrRegist();
+            ProcessManagement.DB.IOAccess.IOSubConstrRegist OutDB = new ProcessManagement.DB.IOAccess.IOSubConstrRegist();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
